Skip to main content
GET
/
alpha
/
merchant
/
customers
List customers
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/customers \
  --header 'Authorization: <authorization>'
{
  "data": [
    {
      "_id": "<string>",
      "_creationTime": 123,
      "email": "<string>",
      "name": "<string>",
      "userId": "<string>",
      "stripeCustomerId": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true,
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Query Parameters

limit
integer

Number of customers to return (default 50, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor from a previous response for pagination

Response

A list of customers

data
object[]
required

A list of customers

nextCursor
string | null
required

Cursor for the next page, or null if no more pages

hasMore
boolean
required

Whether there are more pages

timestamp
number
required
message
string